<section class="kbx-articles">
    <?php if ($show_search_form == 'true') : ?>

        <?php echo kbx_get_search_form();
        global $kbx_options;
        if (isset($_GET['sort'])) {
            $sort_option = $_GET['sort'];
        } else {
            $sort_option = $kbx_options['sorting_option'];
        }

        ?>

    <?php endif; ?>
    <div id="categoryHead">
        <div class="sort">
            <form action="" method="GET">

                <select name="sort" id="sortBy" title="<?php _e('Sort By', 'kbx-qc'); ?>"
                        onchange="this.form.submit();">
                    <option value="date" <?php if ($sort_option == 'date') {
                        echo "selected";
                    } ?> ><?php _e('Sort by Default', 'kbx-qc'); ?></option>
                    <option value="name" <?php if ($sort_option == 'name') {
                        echo "selected";
                    } ?>><?php _e('Sort A-Z', 'kbx-qc'); ?></option>
                    <option value="popularity" <?php if ($sort_option == 'popularity') {
                        echo "selected";
                    } ?>><?php _e('Sort by Popularity', 'kbx-qc'); ?></option>
                    <option value="views" <?php if ($sort_option == 'views') {
                        echo "selected";
                    } ?>><?php _e('Sort by Views', 'kbx-qc'); ?></option>
                </select>

            </form>
        </div>
    </div>

    <div class="clear"></div>
    <?php if ($sticky_query->have_posts()) : ?>

        <ul class="sticky-articleList">

            <?php while ($sticky_query->have_posts()) : $sticky_query->the_post() ?>
                <li>
                    <a href="<?php the_permalink(); ?>">
                        <i class="fa fa-bookmark"></i>
                        <span>
        			<?php the_title(); ?>
        		</span>
                    </a>
					<?php
                        if( array_key_exists('kbx_read_time', $kbx_options) ){
    						if($kbx_options['kbx_read_time']==1){
    							$kbxPost = get_the_ID();
    							
    							
    							$data = $kbxArticleReadTime->kbx_calculate_reading_time($kbxPost, $kbxReadingOptions);

    							$label = $kbxReadingOptions['label'];
    							$postfix = $kbxReadingOptions['postfix'];
    							$postfix_singular = $kbxReadingOptions['postfix_singular'];

    							if($data > 1) {
    								$calculatedPostfix = $postfix;
    							} else {
    								$calculatedPostfix = $postfix_singular;
    							}

    							echo '<span class="rt-reading-time" style="display: inline-block;">('.'<span class="rt-time" style=" margin-right: 3px;">'.$data.'</span>'.'<span class="rt-label" style=" margin-right: 3px;"> '.$calculatedPostfix.'</span>'.'<span class="rt-label" style=" margin-right: 3px;">'.$label.')</span>'.'</span>';
    						}
                        }
					?>
                </li>
            <?php endwhile;// wp_reset_postdata(); ?>

        </ul>
    <?php endif; ?>

    <?php if ($query->have_posts()) : ?>

        <ul class="articleList">

            <?php while ($query->have_posts()) : $query->the_post() ?>
                <li>
                    <a href="<?php the_permalink(); ?>">
                        <i class="fa fa-file-text-o"></i>
                        <span>
        			<?php the_title(); ?>
        		</span>
				
                    </a>
					<?php
                        if( array_key_exists('kbx_read_time', $kbx_options) ){
    						if($kbx_options['kbx_read_time']==1){
    							$kbxPost = get_the_ID();
    							
    							
    							$data = $kbxArticleReadTime->kbx_calculate_reading_time($kbxPost, $kbxReadingOptions);

    							$label = $kbxReadingOptions['label'];
    							$postfix = $kbxReadingOptions['postfix'];
    							$postfix_singular = $kbxReadingOptions['postfix_singular'];

    							if($data > 1) {
    								$calculatedPostfix = $postfix;
    							} else {
    								$calculatedPostfix = $postfix_singular;
    							}

    							echo '<span class="rt-reading-time" style="display: inline-block;">('.'<span class="rt-time" style=" margin-right: 3px;">'.$data.'</span>'.'<span class="rt-label" style=" margin-right: 3px;"> '.$calculatedPostfix.'</span>'.'<span class="rt-label" style=" margin-right: 3px;">'.$label.'</span>)'.'</span>';
    						}
                        }
					?>
                </li>
            <?php endwhile;// wp_reset_postdata(); ?>

        </ul>

        <?php if ($show_pagination == 'true') : ?>

            <section class="kbx-pagination">

                <?php
                echo kbx_get_pagination_links($query->max_num_pages, "", $paged);
                ?>

            </section>

        <?php endif; ?>

    <?php else : ?>

        <p>
            <?php _e('No articles found under this section.', 'kbx-qc'); ?>
        </p>

    <?php endif; ?>

</section>