<!--Adding Template Specific Style -->

<div class="kb-front-main-div">

    <?php if ($show_search_form == 'true') : ?>

        <?php echo kbx_get_search_form(); ?>

    <?php endif; ?>
    <?php
    global $kbx_options;

    ?>

    <section id="contentArea" class="container-fluid">
        <?php if(isset($kbx_options['enable_section_heading']) && $kbx_options['enable_section_heading']==true){ ?>
            <div class="kbx-section-heading">
                <div class="decor-before-kbx-holder"><span></span></div>
                <h2><?php if(isset($kbx_options['section_heading'])){echo $kbx_options['section_heading']; }else{echo "Browse the KnowledgeBase";} ?></h2>
                <div class="decor-after-kbx-holder"><span></span></div>
            </div>
        <?php }?>
        <?php if ($show_section_box == 'true') : ?>

            <!-- Site has only one collection -->
            <section class="kbx-category-list" data-packery='{ "itemSelector": ".kbx-category-box"}'>

                <?php
                if (isset($kbx_options['show_empty_categories']) && $kbx_options['show_empty_categories']) {
                    $terms = get_terms('kbx_category', array(
                        'hide_empty' => false,
                    ));
                } else {
                    $terms = get_terms('kbx_category', array(
                        'hide_empty' => true,
                    ));
                }

                ?>

                <?php foreach ($terms as $term) : if( kbx_article_user_permit($term->term_id) ): $image_id = get_term_meta($term->term_id, 'category-image-id', true); $no_image=''; if($image_id) { $no_image='kbx-section-img-present'; }else{ $no_image='kbx-section-img-blank'; } ?>
                    <div class="kbx-category-box <?php echo $no_image; ?>" id="category-<?php echo $term->term_id; ?>">
                        <a class="" href="<?php echo get_term_link($term->term_id); ?>">
                            <div class="kbx-section-feature-image">
                                <?php 
                                if ($image_id) {
                                    echo wp_get_attachment_image($image_id, 'thumbnail');
                                } else {
                                    //echo '<img src="' . KBX_IMG_URL . '/defualt_section.png" alt="Defualt section">';
                                } ?>
                            </div>

                            <h3><?php echo $term->name; ?></h3>
                            <p>  <?php echo $term->description; ?></p>
                            <p class="article-count">
                                <span class="notranslate"> <?php echo sprintf("%02d", $term->count); ?></span> <?php //_e('articles', 'kbx-qc'); ?>
                            </p>
                        </a>
                        <!-- /category -->
                    </div>
                    <!--                category-bok-->


                <?php endif; endforeach; ?>

            </section>
            <!-- /kbx-category-list -->

        <?php endif; ?>

    </section>

</div>