<!-- Custom style-->
<link href="<?php echo plugin_dir_url( __FILE__ ); ?>/css/style.css" rel="stylesheet" type="text/css">
  
<div class="promo-wrapper">
	  
	<div class="tab">
	  
	  <div class="tab-logo">
		<a href="http://www.quantumcloud.com" target="_blank">
			<img src="<?php echo plugin_dir_url( __FILE__ ); ?>/images/qc-logo.png" alt="QuantumCloud">
		</a>
		<span class="co-name"><?php _e('QuantumCloud', 'kbx-qc'); ?></span>
	  </div>
	  
	  <div class="tab-links">
		  <a id="defaultOpen" href="javascript:void(0)" class="tablinks" onclick="openTab(event, 'plugins')">
			Plugins
		  </a>
		  <a href="javascript:void(0)" class="tablinks" onclick="openTab(event, 'services')">
			Services
		  </a>
	  </div>
	  
	</div>
	
	<div id="plugins" class="tabcontent">

		<div class="tabcontent-inner">
			<!--Services:Start-->
			<div class="tlist-wrapper-x18">
				<div class="tlist-holder-x18">
					
					<div class="top-row-x18">
							<h1><?php _e('More WordPress Goodies for You!', 'kbx-qc'); ?></h1>
							<div class="feature-image-x18">
								<img src="<?php echo plugin_dir_url( __FILE__ ); ?>/images/feature-image.jpg" alt=""/>
							</div>	
						<!-- text-right end --> 				
					</div>					
					
					<div class="bottom-row-x18">
										
						<div class="single-item-x18">					
							<div class="icon-box-x18">
								<img src="<?php echo plugin_dir_url( __FILE__ ); ?>/images/simple-link-directory-thumb.jpg" alt="sld"/>
							</div>
							<div class="content-box-x18">
								<h2><?php _e('SIMPLE LINK DIRECTORY', 'kbx-qc'); ?></h2>
								<p><?php _e('Directory plugin with a unique approach to curate topic focused website link lists. Curate gorgeous Link Resources, Partners, Vendors Directories.', 'kbx-qc'); ?></p>
								<p><a href="https://www.quantumcloud.com/simple-link-directory/" target="_blank"><?php _e('Download Now', 'kbx-qc'); ?></a></p>
							</div>
						</div>
						<div class="single-item-x18">					
							<div class="icon-box-x18">
								<img src="<?php echo plugin_dir_url( __FILE__ ); ?>/images/i-list-logo.jpg" alt="sld"/>
							</div>
							<div class="content-box-x18">
								<h2><?php _e('INFOGRAPHICS AND LIST BUILDER ILIST', 'kbx-qc'); ?></h2>
								<p><?php _e('Infographics & elegant Lists are now easy to create with iList. Build HTML, Responsive infographics & simple Text or Image Lists quickly.', 'kbx-qc'); ?></p>
								<p><a href="https://www.quantumcloud.com/iList/" target="_blank"><?php _e('Download Now', 'kbx-qc'); ?></a></p>
							</div>
						</div>
						<div class="single-item-x18">					
							<div class="icon-box-x18">
								<img src="<?php echo plugin_dir_url( __FILE__ ); ?>/images/portfolio-x.jpg" alt="sld"/>
							</div>
							<div class="content-box-x18">
								<h2><?php _e('PORTFOLIO X', 'kbx-qc'); ?></h2>
								<p><?php _e('Portfolio X is an advanced portfolio manager with streamlined workflow and unique designs to showcase your works. Slideshow and Widgets included.', 'kbx-qc'); ?></p>
								<p><a href="https://wordpress.org/plugins/portfolio-x/" target="_blank"><?php _e('Download Now', 'kbx-qc'); ?></a></p>
							</div>
						</div>
						<div class="single-item-x18">					
							<div class="icon-box-x18">
								<img src="<?php echo plugin_dir_url( __FILE__ ); ?>/images/jarvis.jpg" alt="sld"/>
							</div>
							<div class="content-box-x18">
								<h2><?php _e('WOOCOMMERCE SHOP ASSISTANT JARVIS', 'kbx-qc'); ?></h2>
								<p><?php _e('WooCommerce shops now have JARVIS - unique shop assistant to increase sales! PopUp Message, Recently Viewed, Advanced Search in 1 window!', 'kbx-qc'); ?></p>
								<p><a href="https://wordpress.org/plugins/shop-assistant-for-woocommerce-jarvis/" target="_blank"><?php _e('Download Now', 'kbx-qc'); ?></a></p>
							</div>
						</div>
						<div class="single-item-x18">					
							<div class="icon-box-x18">
								<img src="<?php echo plugin_dir_url( __FILE__ ); ?>/images/woo.jpg" alt="sld"/>
							</div>
							<div class="content-box-x18">
								<h2><?php _e('WOO TABBED CATEGORY PRODUCT LISTING', 'kbx-qc'); ?></h2>
								<p><?php _e('WooCommerce addon to display Category based Product Listing in tab format on any page with a short code.', 'kbx-qc'); ?></p>
								<p><a href="https://wordpress.org/plugins/woo-tabbed-category-product-listing/" target="_blank"><?php _e('Download Now', 'kbx-qc'); ?></a></p>
							</div>
						</div>
						<div class="single-item-x18">					
							<div class="icon-box-x18">
								<img src="<?php echo plugin_dir_url( __FILE__ ); ?>/images/seo.jpg" alt="sld"/>
							</div>
							<div class="content-box-x18">
								<h2><?php _e('SEO HELP', 'kbx-qc'); ?></h2>
								<p><?php _e('SEO Help provides helpful hints to generate LinkBait titles. Increase your Click Through Rate or CTR. Write better contents with SEO tips.', 'kbx-qc'); ?></p>
								<p><a href="https://wordpress.org/plugins/seo-help/" target="_blank"><?php _e('Download Now', 'kbx-qc'); ?></a></p>
							</div>
						</div>

					</div>
					
				</div>		
			</div>
			<!--Plugins:End-->
		</div>
		<!--/tabcontent-inner-->
	
	</div>
	<!--End of tabcontent-->
	
	<div id="services" class="tabcontent">
	  <div class="tabcontent-inner services-list">
		<!--Plugins:Start-->
			<div class="tlist-wrapper-x18">
				<div class="tlist-holder-x18">
					
					<div class="top-row-x18">
							<h1><?php _e('More QuantumCloud Services', 'kbx-qc'); ?></h1>
							<div class="feature-image-x18">
								<img src="<?php echo plugin_dir_url( __FILE__ ); ?>/images/light_bulb.png" alt=""/>
							</div>	
						<!-- text-right end --> 				
					</div>					
					
					<div class="bottom-row-x18">
										
						<div class="single-item-x18">					
							<div class="icon-box-x18">
								<div class="icon-box-x18">
								   <img src="<?php echo plugin_dir_url( __FILE__ ); ?>/images/icon-pack/service-01.png" alt="sld"/>
								</div>
							</div>
							<div class="content-box-x18">
								<a href="https://www.quantumcloud.com/request-free-web-design-quote/" target="_blank">
									<h2><?php _e('Creative Web Design', 'kbx-qc'); ?></h2>
								</a>
								<p><?php _e('Creative and custom web design to maximize user experience through responsive, eye catching, user-friendly and interactive functionality.', 'kbx-qc'); ?></p>
								<p></p>
							</div>
						</div>
						<div class="single-item-x18">					
							<div class="icon-box-x18">
								<div class="icon-box-x18">
								   <img src="<?php echo plugin_dir_url( __FILE__ ); ?>/images/icon-pack/service-02.png" alt="sld"/>
								</div>
							</div>
							<div class="content-box-x18">
								<a href="https://www.quantumcloud.com/request-free-web-design-quote/" target="_blank">
									<h2><?php _e('Advanced Web Development', 'kbx-qc'); ?></h2>
								</a>
								<p><?php _e('Whether you need a SAAS web application, CRM or custom extension to your favorite CMS like WordPress we can create elegant, custom web applications specific to your own and unique requirements.', 'kbx-qc'); ?></p>
								<p></p>
							</div>
						</div>
						<div class="single-item-x18">					
							<div class="icon-box-x18">
								<div class="icon-box-x18">
								   <img src="<?php echo plugin_dir_url( __FILE__ ); ?>/images/icon-pack/service-03.png" alt="sld"/>
								</div>
							</div>
							<div class="content-box-x18">
								<a href="https://www.quantumcloud.com/request-free-web-design-quote/" target="_blank">
									<h2><?php _e('SEO and Digital Marketing', 'kbx-qc'); ?></h2>
								</a>
								<p><?php _e('At QuantumCloud, our priority is to help your business grow. Our professional SEO services are the last pieces of the puzzle to ensure success of your online venture and business.', 'kbx-qc'); ?></p>
								<p></p>
							</div>
						</div>
						<div class="single-item-x18">					
							<div class="icon-box-x18">
								<div class="icon-box-x18">
								   <img src="<?php echo plugin_dir_url( __FILE__ ); ?>/images/icon-pack/service-04.png" alt="sld"/>
								</div>
							</div>
							<div class="content-box-x18">
								<a href="https://www.quantumcloud.com/request-free-web-design-quote/" target="_blank">
									<h2><?php _e('Mobile App Development', 'kbx-qc'); ?></h2>
								</a>
								<p><?php _e('Combining native and hybrid mobile app development expertise, we offer iOS and Android mobile development under one budget. We specialize in cross-platform and hybrid mobile apps.', 'kbx-qc'); ?></p>
								<p></p>
							</div>
						</div>
						<div class="single-item-x18">					
							<div class="icon-box-x18">
								<div class="icon-box-x18">
								   <img src="<?php echo plugin_dir_url( __FILE__ ); ?>/images/icon-pack/service-05.png" alt="sld"/>
								</div>
							</div>
							<div class="content-box-x18">
								<a href="https://www.quantumcloud.com/request-free-web-design-quote/" target="_blank">
									<h2><?php _e('WordPress Development', 'kbx-qc'); ?></h2>
								</a>
								<p><?php _e('We are WordPress Developers and We Create Beautiful & SEO Friendly WordPress Websites. Theme Customization to Custom WordPress Plugin Development - We are the Gurus.', 'kbx-qc'); ?></p>
								<p></p>
							</div>
						</div>
						<div class="single-item-x18">					
							<div class="icon-box-x18">
							   <img src="<?php echo plugin_dir_url( __FILE__ ); ?>/images/icon-pack/service-06.png" alt="sld"/>
							</div>
							<div class="content-box-x18">
								<a href="https://www.quantumcloud.com/request-free-web-design-quote/" target="_blank">
									<h2><?php _e('WordPress Theme Customization', 'kbx-qc'); ?></h2>
								</a>
								<p><?php _e('We will customize your chosen WordPress theme, add extra plugins and add pages & contents to create a complete and functional website for your business. . We have extensive experiences working with premium themes from themeforest and other market places.', 'kbx-qc'); ?></p>
								<p></p>
							</div>
						</div>

					</div>
					
				</div>		
			</div>
			<!--Services:End-->
	  </div>
	  <!--/tabcontent-inner-->
	</div>
	<!--End of tabcontent-->
	
	<div class="promo-footer">
		<a href="http://www.quantumcloud.com" target="_blank"><?php _e('Web Design Company', 'kbx-qc'); ?></a> - <?php _e('QuantumCloud', 'kbx-qc'); ?>
	</div>

</div>

<script>
	function openTab(evt, tabElementId) {
		// Declare all variables
		var i, tabcontent, tablinks;

		// Get all elements with class="tabcontent" and hide them
		tabcontent = document.getElementsByClassName("tabcontent");
		for (i = 0; i < tabcontent.length; i++) {
			tabcontent[i].style.display = "none";
		}

		// Get all elements with class="tablinks" and remove the class "active"
		tablinks = document.getElementsByClassName("tablinks");
		for (i = 0; i < tablinks.length; i++) {
			tablinks[i].className = tablinks[i].className.replace(" active", "");
		}

		// Show the current tab, and add an "active" class to the link that opened the tab
		document.getElementById(tabElementId).style.display = "block";
		evt.currentTarget.className += " active";
	}
	
	 document.getElementById("defaultOpen").click();
</script>